Summary: A set of GNU text file modifying utilities.
Name: textutils
Version: 2.0
Release: 3mdk
Copyright: GPL
Group: Text tools
Source: ftp://alpha.gnu.org/gnu/fetish/textutils-2.0.tar.bz2
Prereq: /sbin/install-info
Buildroot: /var/tmp/text-root

%description
A set of GNU utilities for modifying the contents of files, including
programs for splitting, joining, comparing and modifying files.

%prep
%setup -q
%build
%configure
make

%install
rm -rf ${RPM_BUILD_ROOT}
%ifos linux
make prefix=${RPM_BUILD_ROOT}%{_prefix} install
%else
make prefix=${RPM_BUILD_ROOT}%{_prefix} \
    localedir=${RPM_BUILD_ROOT}%{_prefix}/share/locale \
	install
%endif


( cd $RPM_BUILD_ROOT
  strip .%{_prefix}/bin/* || :
%ifos linux
  mkdir -p ./bin
  for f in cat sort; do
    mv .%{_prefix}/bin/$f ./bin/$f
  done
# XXX tsort comes from util-linux for now
%endif
  bzip2 -9f .%{_prefix}/info/textutils*
  bzip2 -9f .%{_prefix}/man/man*/*
)



%post
/sbin/install-info %{_prefix}/info/textutils.info.bz2 %{_prefix}/info/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_prefix}/info/textutils.info.bz2 %{_prefix}/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README
%ifos linux
/bin/*
%endif
%{_prefix}/bin/*
%{_prefix}/man/man*/*
%{_prefix}/info/textutils*
%{_prefix}/share/locale/*/*/*


%changelog
* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0-3mdk
- fix group 

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- rh merges.
- fix tsort conflicts (by eliminating tsort from util-linux).

* Sun Aug 08 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rewrite some spec file pieces:
	- use file.list.textutils and find-lang.sh
	- build as non-root
- Update to latest version :
        * Version 2.0.
        * src/sort.c: Include file name in `write error' diagnostics.
        (write_bytes): Add output_file parameter and use it.  Update callers.
        (mergefps): Likewise.
        (merge): Likewise.
        (sort): Likewise.
        Reported by John Summerfield.
        * src/tail.c (Follow_mode): Remove comma at end of enumerator list.
        Reported by Kaveh Ghazi.
        * config.sub: Update from autoconf.
        * config.guess: Update from autoconf.

* Wed Jul 28 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.22n
- french description 

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Fri Mar 06 1998 Michael K. Johnson <johnsonm@redhat.com>
- made tmpfile creation safe (even for root) in sort and tac.

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- added patch for glibc 2.1

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot
- added install-info support

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Rebuilt against glibc

